# Interface methods for submodule: BSplineExponentialDiffeomorphicTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ConstantVelocityFieldTransformProxy as _ConstantVelocityFieldTransformProxy


# Interface methods for class: BSplineExponentialDiffeomorphicTransform
class BSplineExponentialDiffeomorphicTransformProxy(_ConstantVelocityFieldTransformProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def UpdateTransformParameters(self, update: Sequence[float], factor: float = 1) -> None:
		""""""
		...

	def BSplineSmoothConstantVelocityField(self, arg0, arg1: Sequence[int]):
		""""""
		...

	def SetSplineOrder(self, _arg: int) -> None:
		""""""
		...

	def GetSplineOrder(self) -> int:
		""""""
		...

	def SetNumberOfControlPointsForTheConstantVelocityField(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetNumberOfControlPointsForTheConstantVelocityField(self) -> Sequence[int]:
		""""""
		...

	def SetNumberOfControlPointsForTheUpdateField(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetNumberOfControlPointsForTheUpdateField(self) -> Sequence[int]:
		""""""
		...

	def SetMeshSizeForTheConstantVelocityField(self, arg0: Sequence[int]) -> None:
		""""""
		...

	def SetMeshSizeForTheUpdateField(self, arg0: Sequence[int]) -> None:
		""""""
		...

